using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Drawing.Drawing2D;
using Syncfusion.Windows.Forms.Tools.XPMenus;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms;

namespace menu_gradient_painting
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem4;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();


			foreach(BarItem bitem in this.bar1.Items)
			{
				bitem.DrawToolbarItem += new DrawToolbarItemEventHandler(this.BarItem_DrawToolbarItemEventHandler);
			}
		}

		private void BarItem_DrawToolbarItemEventHandler (object sender, DrawToolbarItemEventArgs arg)
		{
			BarItem bi = sender as BarItem;
			Rectangle rec = new Rectangle(arg.Bounds.X, arg.Bounds.Y, arg.Bounds.Width, arg.Bounds.Height);

			Graphics g = arg.Graphics;
			LinearGradientBrush brush = new LinearGradientBrush(rec, Color.Yellow, Color.Red, 60);			
			
			g.FillRectangle(brush, rec);
			g.DrawString(bi.Text, new Font("Garamond",10), System.Drawing.Brushes.Navy, new Point(arg.Bounds.X+3,arg.Bounds.Y+3));
		}


		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
			this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "menu");
			this.barItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem4 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
			// 
			// mainFrameBarManager1
			// 
			this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
			this.mainFrameBarManager1.Bars.Add(this.bar1);
			this.mainFrameBarManager1.Categories.Add("menu");
			this.mainFrameBarManager1.CurrentBaseFormType = "System.Windows.Forms.Form";
			this.mainFrameBarManager1.Form = this;
			this.mainFrameBarManager1.ImageList = null;
			this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																											  this.barItem1,
																											  this.barItem2,
																											  this.barItem3,
																											  this.barItem4});
			this.mainFrameBarManager1.LargeImageList = null;
			this.mainFrameBarManager1.ResetCustomization = false;
			// 
			// bar1
			// 
			this.bar1.BarName = "menu";
			this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																							  this.barItem1,
																							  this.barItem2,
																							  this.barItem3,
																							  this.barItem4});
			this.bar1.Manager = this.mainFrameBarManager1;
			// 
			// barItem1
			// 
			this.barItem1.CategoryIndex = 0;
			this.barItem1.ID = "menuitem1";
			this.barItem1.Text = "menuitem1";
			// 
			// barItem2
			// 
			this.barItem2.CategoryIndex = 0;
			this.barItem2.ID = "menuitem2";
			this.barItem2.Text = "menuitem2";
			// 
			// barItem3
			// 
			this.barItem3.CategoryIndex = 0;
			this.barItem3.ID = "menuitem3";
			this.barItem3.Text = "menuitem3";
			// 
			// barItem4
			// 
			this.barItem4.CategoryIndex = 0;
			this.barItem4.ID = "menuitem4";
			this.barItem4.Text = "menuitem4";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		
	}
}
